Name:           openclipart
Version:        0.18
Release:        %mkrel 8
Summary:        Open Clip Art Library
Group:          Graphics/Utilities
License:        Public Domain
URL:            https://openclipart.org/
Source0:        https://openclipart.org/downloads/%{version}/openclipart-%{version}-svgonly.tar.bz2

Conflicts:      clipart-openclipart

BuildRequires:  dos2unix
BuildArch:      noarch

%description
Openclipart Gallery contains thousand of SVG vector images that can be
freely used. SVG files can be opened in various tools including
Inkscape vector graphics editor, OpenOffice.org and Firefox web browser.


%prep
%setup -q -n openclipart-%{version}-svgonly
find . -name '*.svg' -exec dos2unix -k -q '{}' \;


%build
# nothing

%install
# Bundled makefile messes things up horribly,
# (copies unnecessary files including vim backups and doesn't
# handle spaces in names though they are actually present in-tree)
cd clipart
find . -name '*.svg' -exec sh -c '
        DIR="$RPM_BUILD_ROOT/%{_datadir}/clipart/%{name}/$(dirname "{}")";
        %__install -d "$DIR";
        %__install -m 644 "{}" "$DIR"' \;


%files
%doc AUTHORS ChangeLog NEWS README VERSION
%{_datadir}/clipart


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.18-8.mga10
+ Revision: 2197695
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.18-7.mga9
+ Revision: 1802014
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 0.18-6.mga8
+ Revision: 1492670
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.18-5.mga7
+ Revision: 1265386
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.18-4.mga6
+ Revision: 940476
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.18-3.mga5
+ Revision: 750803
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.18-2.mga5
+ Revision: 683195
- Mageia 5 Mass Rebuild

* Wed Dec 18 2013 dglent <dglent> 0.18-1.mga4
+ Revision: 558502
- Cosmetic changes in spec file
- imported package openclipart

